## mumble 1.2.3-1maemo2

=== debian/changelog ===
mumble (1.2.3-1maemo2) unstable; urgency=low

  * Use bundled-speex (speex from system gives warning speex_preprocess_ctl request:  35 and 26 )

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 May 2011 15:26:16 +0200

mumble (1.2.3~maemo1) unstable; urgency=low

  * Packaging for fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 May 2011 10:00:16 +0200
