## mumble 1.2.3-1maemo3

=== debian/changelog ===
mumble (1.2.3-1maemo3) unstable; urgency=low

  * Removed debendencies for speex

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 16 May 2011 12:40:16 +0200
