## mumble 1.2.3-1maemo4

=== debian/changelog ===
mumble (1.2.3-1maemo4) unstable; urgency=low

  * From Oneiric (ubuntu 11.10)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 6 Jan 2012 13:15:16 +0200
