=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mumble
-Section: user/network
+Section: sound
 Priority: optional
 Homepage: http://mumble.sourceforge.net/
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Thorvald Natvig <thorvald@debian.org>
 Build-Depends: debhelper (>= 7.0.8), po-debconf,
- libboost1.38-dev, libboost-python1.38-dev,
+ libboost1.38-dev, 
+ libboost-python1.38-dev,
  libqt4-dev (>= 4.5.0),
  libasound2-dev, libpulse-dev [!hurd-i386],
- libogg-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
+ libogg-dev, libspeex-dev, libspeexdsp-dev, libcelt-dev (>= 0.7.0), libsndfile1-dev,
  libssl-dev,
  libspeechd-dev,
  protobuf-compiler, libprotobuf-dev, libavahi-compat-libdnssd-dev, libxi-dev,
@@ -18,6 +19,7 @@
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 
 Package: mumble
 Architecture: any
@@ -31,4 +33,3 @@
  Mumble is just a client and uses a non-standard protocol. You will need
  a dedicated server to talk to other users. Server functionality is
  provided by the package "mumble-server".
-
