=== debian/rules ===
--- 
+++ 
@@ -17,15 +17,15 @@
 	echo $(DEB_BUILD_ARCH)
 	dh_testdir
 	qmake-qt4 -recursive main.pro \
+	CONFIG*=no-11x \
+	CONFIG*=no-g15 \
+	CONFIG*=no-ice  \
+	CONFIG*=no-overlay \
+	CONFIG*=no-server \
     CONFIG+=no-portaudio \
     CONFIG+=no-bonjour \
     CONFIG+=no-xinput2 \
     CONFIG+=no-bundled-celt \
-	CONFIG*=no-11x \
-	CONFIG*=no-g15 \
- 	CONFIG*=no-ice  \
-	CONFIG*=no-overlay \
-	CONFIG*=no-server \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \
@@ -51,6 +51,7 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
+	#slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
 clean: #QUILT unpatch
@@ -101,6 +102,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGES
+	#dh_installdocs
 	dh_installmenu
 	dh_installinit -- defaults 95
 	dh_installman
@@ -110,6 +112,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
+	#dh_strip --dbg-package=mumble-dbg
 	dh_strip
 	dh_compress
 	dh_fixperms
