## mumble 1.2.3-1maemo5

=== debian/changelog ===
mumble (1.2.3-1maemo5) unstable; urgency=low

  * added: CONFIG*=no-bundled-speex 

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 6 Jan 2012 16:47:16 +0200
