=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
     CONFIG+=no-bonjour \
     CONFIG+=no-xinput2 \
     CONFIG+=no-bundled-celt \
+	CONFIG*=no-bundled-speex \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \
