## mumble 1.2.3-192-g683d39b

=== debian/changelog ===
mumble (1.2.3-192-g683d39b-1) experimental; urgency=low

  [ Thorvald Natvig ]
  * Allow build with boost 1.38 to make backports a bit easier.
  * Reduce build verbosity a bit.
  * Support parallel builds.

  [ Patrick Matthäi ]
  * New upstream snapshot from 06.10.2011.
    - Audio statistics do not need glx extension anymore.
      Closes: #612030
  * Qt and mumble should use the same OpenSSL version now.
    Closes: #627871
  * Bump debhelper to compat version 7.
    - Replace dh_clean -k with dh_prep.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with enabled hardening-wrapper.
  * Wrap debian/control fields.
  * Add patch 01-fix-spelling-error.diff to fix an minor spelling error in
    the source code.
  * Clean up debian/rules a bit.
  * libGL-dev libs already have been added as build dependencies.
    Closes: #627430
  * Use linux-any instead of hardcoded list for libcap-dev build dependency.
    Closes: #634777

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:52:02 +0200

mumble (1.2.3-91-g05d91c1-1) experimental; urgency=low

  * Experimental upstream release.
  * Remove 11x package, as source no longer contains it.

 -- Thorvald Natvig <thorvald@debian.org>  Fri, 15 Apr 2011 06:35:05 +0200
