=== debian/control ===
Source: mumble
Section: sound
Priority: optional
Homepage: http://mumble.sourceforge.net/
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>,
 Thorvald Natvig <thorvald@debian.org>
Build-Depends: debhelper (>= 7.0.8),
 po-debconf,
 libboost1.46-dev | libboost-dev (>= 1.38.0),
 libboost-python1.46-dev | libboost-python-dev (>= 1.38.0),
 libqt4-dev (>= 4.5.0),
 hardening-wrapper,
 libgl1-mesa-dev | libgl-dev,
 libasound2-dev,
 libpulse-dev [!hurd-i386],
 libogg-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libcelt-dev (>= 0.7.0),
 libsndfile1-dev,
 libssl-dev,
 libzeroc-ice34-dev | libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
 ice34-translators | ice33-translators | ice32-translators | ice-translators,
 ice34-slice | ice33-slice | ice32-slice | ice-slice,
 libg15daemon-client-dev,
 libspeechd-dev,
 protobuf-compiler,
 libprotobuf-dev,
 libavahi-compat-libdnssd-dev,
 libxi-dev,
 libcap-dev [linux-any],
 libc6-dev-i386 [amd64],
 gcc-multilib [amd64]
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log

Package: mumble
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~),
 libqt4-sql-sqlite,
 lsb-release
Recommends: speech-dispatcher
Suggests: mumble-server
Description: Low latency VoIP client
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".

Package: mumble-server
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 dbus,
 libqt4-sql-sqlite
Suggests: mumble-server-web, mumble-django
Description: Low latency VoIP server
 Murmur is the VoIP server component for Mumble. Murmur is installed
 in a system-wide fashion, but can also be run by individual users.
 Each murmur process supports multiple virtual servers, each with their
 own user base and channel list. Administration of murmur is done through
 D-Bus. Example scripts which register new users and list connected users
 through a web page are can be found in the package 'mumble-server-web'.

Package: mumble-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 mumble (= ${binary:Version}) | mumble-server (= ${binary:Version})
Priority: extra
Description: Low latency VoIP client (debugging symbols)
 Mumble is a low-latency, high quality voice chat program for gaming. It
 features noise suppression, automatic gain control and low latency audio
 with support for multiple audio standards. Mumble includes an in-game
 overlay compatible with most open-source and commercial 3D applications.
 Mumble is just a client and uses a non-standard protocol. You will need
 a dedicated server to talk to other users. Server functionality is
 provided by the package "mumble-server".
 .
 This package contains the debugging symbols for the 'mumble' and
 'mumble-server' packages.

Package: mumble-server-web
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 mumble-server (>= ${binary:Version}),
 apache2,
 exim4 | mail-transport-agent,
 libnet-dbus-perl,
 libcgi-session-perl,
 libhtml-template-perl,
 php-zeroc-ice,
 ice34-translators | ice33-translators | ice32-translators | ice-translators,
 ice34-slice | ice33-slice | ice32-slice | ice-slice
Description: Web scripts for mumble-server
 Murmur (in the package mumble-server) is the VoIP server component for
 Mumble. This package contains web scripts for registering users, uploading
 custom textures and showing a list of currently connected users.
