## mumble 1.2.3-309-g7176ff4

=== debian/changelog ===
mumble (1.2.3-309-g7176ff4-1) unstable; urgency=low

  * New upstream snapshot from 16.03.2012.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Mar 2012 16:07:56 +0100

mumble (1.2.3-304-g88e9e6a-1) experimental; urgency=low

  * New upstream snapshot from 26.02.2012.
    - Drop patch 01-fix-spelling-error, merged upstream.
    - Drop patch 03-fix-cert-validation, merged upstream.
  * Merge changelog from 1.2.2-6+squeeze1 and 1.2.3-3.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Correct Vcs-Browser control field.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 26 Feb 2012 14:24:32 +0100

mumble (1.2.3-277-g98f4ac1-1) experimental; urgency=low

  * New upstream snapshot from 12.02.2012.
    - Refresh patch 01-fix-spelling-error.
    - Word readable file permissions on mumble database are fixed in this
      snapshot.
      Closes: #659039
  * Add Dutch debconf translation.
    Closes: #657632
  * Add patch 02-reject-with-ip-in-log to show up the IP address of a rejected
    connection in the mumble-server log.
    Closes: #627139
  * Add patch 03-fix-cert-validation from Marc Deslauriers, which fixes the
    certificate validation with Qt 4.8.
    Closes: #659035
  * Add patch 05-lsb-description which fixes the lintian warning
    init.d-script-missing-lsb-description.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 12 Feb 2012 16:43:52 +0100

mumble (1.2.3-3) unstable; urgency=high

  * Add Dutch debconf translation.
    Closes: #657632
  * Add patch 01-fix-spelling-error.diff to fix an minor spelling error in
    the source code.
  * Add patch 05-lsb-description which fixes the lintian warning
    init.d-script-missing-lsb-description.
  * Add patch 02-reject-with-ip-in-log to show up the IP address of a rejected
    connection in the mumble-server log.
    Closes: #627139
  * Add patch 04-set-file-permissions from Marc Deslauriers, which fixes the
    file permissions of the Mumble database.
    Closes: #659039

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 12 Feb 2012 17:09:07 +0100
