=== debian/control ===
--- 
+++ 
@@ -32,9 +32,9 @@
  libcap-dev [linux-any],
  libc6-dev-i386 [amd64],
  gcc-multilib [amd64]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/mumble/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/mumble/
 
 Package: mumble
 Architecture: any
@@ -61,7 +61,8 @@
  adduser,
  dbus,
  libqt4-sql-sqlite
-Suggests: mumble-server-web, mumble-django
+Suggests: mumble-server-web,
+ mumble-django
 Description: Low latency VoIP server
  Murmur is the VoIP server component for Mumble. Murmur is installed
  in a system-wide fashion, but can also be run by individual users.
