=== debian/rules ===
--- 
+++ 
@@ -2,35 +2,30 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-#QUILT include /usr/share/quilt/quilt.make
+export DEB_BUILD_HARDENING=1
 
 MAKEFILE = $(firstword $(MAKEFILE_LIST))
 SOURCE_DIR = $(dir $(MAKEFILE))..
 VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
 MUMBLE_DEB_VERSION := $(shell dpkg-parsechangelog -l$(dir $(MAKEFILE))changelog | sed -ne 's/^Version: \(.*\).*/\1/p')
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 export DH_OPTIONS
 
 configure: configure-stamp
-configure-stamp: #QUILT patch
+configure-stamp:
 	echo $(DEB_BUILD_ARCH)
 	dh_testdir
 	qmake-qt4 -recursive main.pro \
-	CONFIG*=no-11x \
-	CONFIG*=no-g15 \
-	CONFIG*=no-ice  \
-	CONFIG*=no-overlay \
-	CONFIG*=no-server \
-    CONFIG+=no-portaudio \
-    CONFIG+=no-bonjour \
-    CONFIG+=no-xinput2 \
-    CONFIG+=no-bundled-celt \
-	CONFIG*=no-bundled-speex \
 	CONFIG*=release \
 	CONFIG*=symbols \
 	CONFIG*=no-embed-qt-translations \
 	CONFIG*=packaged \
+	CONFIG*=quiet-build-log \
 	DEFINES*=NO_UPDATE_CHECK \
 	DEFINES*=PLUGIN_PATH=/usr/lib/mumble \
 	DEFINES*=MUMBLE_VERSION=$(MUMBLE_DEB_VERSION) \
@@ -52,10 +47,10 @@
 build-indep: build-indep-stamp
 
 build-indep-stamp:
-	#slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
+	slice2html -I/usr/share/Ice-3.4.1/slice -I/usr/share/Ice-3.3.1/slice -I/usr/share/Ice/slice src/murmur/Murmur.ice --output-dir Ice
 	touch $@
 
-clean: #QUILT unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
@@ -73,27 +68,21 @@
 install-indep:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
+	dh_prep
 	dh_installdirs -i
 	dh_install -i
-	# Install and rename web scripts
 	install -m 0755 -D ./scripts/weblist.pl $(CURDIR)/debian/mumble-server-web/usr/share/mumble-server-web/www/weblist.cgi
 
 install-arch:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -s
+	dh_prep
 	dh_installdirs -s
 	dh_install -s
-	# Add Debian files.
-	install -d $(CURDIR)/debian/opt/mumble
 	install -m 0755 ./scripts/murmur.init $(CURDIR)/debian/mumble-server.init
 	install -m 0755 ./scripts/murmur.logrotate $(CURDIR)/debian/mumble-server.logrotate
-	# install mumble files that need to be renamed.
 	install -m 0644 -D ./scripts/murmur.conf $(CURDIR)/debian/mumble-server/etc/dbus-1/system.d/mumble-server.conf
 	install -m 0644 -D ./scripts/murmur.ini.system $(CURDIR)/debian/mumble-server/etc/mumble-server.ini
-	# Also install an menu icon for mumble-11x.
-	install -m 0644 -D ./icons/mumble.xpm $(CURDIR)/debian/mumble-11x/usr/share/pixmaps/mumble11x.xpm
 ifeq ($(DEB_BUILD_ARCH), amd64)
 	install -m 0755 -d $(CURDIR)/debian/mumble/usr/lib32/mumble
 	cp -dp ./release-32/libmumble.so* $(CURDIR)/debian/mumble/usr/lib32/mumble/
@@ -103,7 +92,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs CHANGES
-	#dh_installdocs
+	dh_installdocs
 	dh_installmenu
 	dh_installinit -- defaults 95
 	dh_installman
@@ -113,8 +102,7 @@
 	dh_link
 	dh_gconf
 	dh_icons
-	#dh_strip --dbg-package=mumble-dbg
-	dh_strip
+	dh_strip --dbg-package=mumble-dbg
 	dh_compress
 	dh_fixperms
 	dh_perl $(CURDIR)/debian/mumble-server-web/usr/lib/cgi-bin/mumble-server
