## mumble 1.2.3-349-g315b5f5

=== debian/changelog ===
mumble (1.2.3-349-g315b5f5-2ubuntu2) quantal; urgency=low

  * Make the package compatible with the rest of the world, yet again,
    by re-enabling CELT 0.7.1 support which was dropped in 1.2.3-349-g315b5f5-1.
    (TC Closes: #682010)
  * Refresh patches.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 25 Aug 2012 00:32:11 +0100

mumble (1.2.3-349-g315b5f5-2ubuntu1) quantal; urgency=low

  * Merge from Debian, remaining changes: 
  - add libqt4-opengl-dev (>= 4.5.0) Build-Dependencies, as it is not
    pulled in by default on arm.
  
 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 Aug 2012 18:33:55 +0100

mumble (1.2.3-349-g315b5f5-2) unstable; urgency=low

  * Drop the hard dep on boost-1.46, that's been removed now.  Closes: #678759
    Drop the | dep on alternative boost, since that's what got this package
    overlooked when people were removing boost-1.46.

  * Drop the | dep on libgl-dev, that's been gone a long time now too and
    leaves us vulnerable to a similar problem.

  * Drop the mumble-server-web package altogether.  Upstream reports that it
    is unmaintained and "pretty useless anyway", which seems to be well backed
    up by the fact that a call to Ice_intversion() was added in March 2010,
    and that function has never existed in any version of zeroc-ice ever.
    A function named Ice_intVersion was added to -ice 3.2.1 though ...
    Since it's taken this long for anyone to notice, we can be pretty sure that
    there aren't any actual users of it.  Closes: #676815, #676816

  * Build-Depend on the unfycked version of zeroc-ice, so the ABI broken one
    doesn't accidentally get used by an out of date buildd.  Closes: #675955
    Force building with gcc-4.6, since that's required for zeroc-ice deps now,
    until they get their act together and write some actually legal code.

  * Cherry-pick the upstream patches to fix the "audio glitches", and provide
    codec thresholds and warnings.  Closes: #675971 since it fixes the only
    actual bug reported there.

  * Drop the watch file, since this has been building snapshots from git now
    since 1.2.3-3 (and before).

 -- Ron Lee <ron@debian.org>  Sun, 08 Jul 2012 06:18:50 +0930

mumble (1.2.3-349-g315b5f5-1) unstable; urgency=low

  * Adopt the package.  Closes: #674719
  * Drop the dependency on the celt package.  Closes: #674650
  * Add the upstream patch to enable opus support.
  * Explicitly disable the bundled libs, don't rely on system lib detection
    doing that as a side-effect.

 -- Ron Lee <ron@debian.org>  Mon, 04 Jun 2012 03:56:35 +0930

mumble (1.2.3-348-g317f5a0-1) unstable; urgency=low

  * New upstream snapshot from 20.05.2012.
  * Build with now available libpulse on hurd-i386.
  * Overwrite false positive hardening-no-stackprotector lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 24 May 2012 20:32:56 +0200

mumble (1.2.3-313-ge5c4657-1) unstable; urgency=high

  * New upstream snapshot from 21.03.2012.
  * Remove /usr/lib32 building.
    Closes: #667882
  * Remove comments from debian/rules.
  * Move slice2html call from build-indep-stamp to build-arch-stamp. The build
    documentation is required in an arch:any package.
    Closes: #667883

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 08 Apr 2012 12:31:42 +0200
