=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: mumble
 Section: sound
 Priority: optional
-Homepage: http://mumble.sourceforge.net/
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Patrick Matthäi <pmatthaei@debian.org>,
- Thorvald Natvig <thorvald@debian.org>
-Build-Depends: debhelper (>= 7.0.8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
+Uploaders: Thorvald Natvig <thorvald@debian.org>
+Build-Depends: debhelper (>= 7.0.8), g++-4.6,
  po-debconf,
- libboost1.46-dev | libboost-dev (>= 1.38.0),
- libboost-python1.46-dev | libboost-python-dev (>= 1.38.0),
+ libboost-dev (>= 1.42),
+ libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
+ libqt4-opengl-dev (>= 4.5.0),
  hardening-wrapper,
- libgl1-mesa-dev | libgl-dev,
+ libgl1-mesa-dev,
  libasound2-dev,
- libpulse-dev [!hurd-i386],
+ libpulse-dev,
  libogg-dev,
  libspeex-dev,
  libspeexdsp-dev,
  libcelt-dev (>= 0.7.0),
  libsndfile1-dev,
  libssl-dev,
- libzeroc-ice34-dev | libzeroc-ice33-dev | libzeroc-ice32-dev | libzeroc-ice-dev,
- ice34-translators | ice33-translators | ice32-translators | ice-translators,
- ice34-slice | ice33-slice | ice32-slice | ice-slice,
+ libzeroc-ice34-dev (>= 3.4.2-8.1),
+ ice34-translators (>= 3.4.2-8.1),
+ ice34-slice (>= 3.4.2-8.1),
  libg15daemon-client-dev,
  libspeechd-dev,
  protobuf-compiler,
  libprotobuf-dev,
  libavahi-compat-libdnssd-dev,
  libxi-dev,
- libcap-dev [linux-any],
- libc6-dev-i386 [amd64],
- gcc-multilib [amd64]
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-voip/mumble/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/mumble/
+ libcap-dev [linux-any]
+Standards-Version: 3.9.3.1
+Homepage: http://mumble.sourceforge.net/
+Vcs-Git: git://git.debian.org/users/ron/mumble.git
+Vcs-Browser: http://git.debian.org/?p=users/ron/mumble.git;a=summary
 
 Package: mumble
 Architecture: any
@@ -89,21 +88,3 @@
  .
  This package contains the debugging symbols for the 'mumble' and
  'mumble-server' packages.
-
-Package: mumble-server-web
-Architecture: all
-Depends: ${misc:Depends},
- ${perl:Depends},
- mumble-server (>= ${binary:Version}),
- apache2,
- exim4 | mail-transport-agent,
- libnet-dbus-perl,
- libcgi-session-perl,
- libhtml-template-perl,
- php-zeroc-ice,
- ice34-translators | ice33-translators | ice32-translators | ice-translators,
- ice34-slice | ice33-slice | ice32-slice | ice-slice
-Description: Web scripts for mumble-server
- Murmur (in the package mumble-server) is the VoIP server component for
- Mumble. This package contains web scripts for registering users, uploading
- custom textures and showing a list of currently connected users.
