=== debian/changelog ===
mumble (1.2.4-0.2ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service through SVG images (LP: #1335597)
    - debian/patches/Mumble-SA-2014-005.patch: patch from upstream
    - CVE-2014-3755
  * SECURITY UPDATE: unproperly HTML-escaped external strings
    - debian/patches/Mumble-SA-2014-006.patch: patch from upstream
    - CVE-2014-3756

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 29 Jun 2014 11:34:25 +0200

mumble (1.2.4-0.2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/35-speechd-0.8.patch: Build against speech-dispatcher
      0.8.
    - debian/control: Adjust build-depends for speech-dispatcher to >= 0.8.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 15 Feb 2014 13:45:36 +0100

mumble (1.2.4-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
      - Add 12-Mumble-SA-2014-001.patch, 14-Mumble-SA-2014-002.patch
        to fix CVE-2014-0044, CVE-2014-0045.  Closes: #737739

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 06 Feb 2014 12:07:05 -0500

mumble (1.2.4-0.1ubuntu2) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jan 2014 17:11:05 +0000

mumble (1.2.4-0.1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/35-speechd-0.8.patch: Build against speech-dispatcher
      0.8.
    - debian/control: Adjust build-depends for speech-dispatcher to >= 0.8.
  * debian/patches/35-mumble-url-handler: Drop, as Debian now has a similar
    patch.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 Dec 2013 17:10:49 -0500

mumble (1.2.4-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New (stable upstream) version from 2013-06-01  Closes: #728545
  * Standards-Version: update to 3.9.4 (no changes needed)
  * debian/control:
      - Switch from zeroc-ice34 to zeroc-ice35
        Closes: #726860
      - Remove g++-4.6 dependency
  * debian/patches:
      - Remove deprecated quilt patches:
          10-use-celt-guard
          15-fix-noise-in-opus-mode
          20-add-opus-threshold-option
          25-add-codec-warnings
          30-opengl
      - Refresh patch 02-reject-with-ip-in-log.diff, add DEP3 headers
      - Update 05-lsb-description.diff to add DEP3 headers
      - Add 06-connect-dialog-hang-dee463ef.diff patch from Ubuntu PPA
      - Refresh patch 07-use-embedded-celt-baseline, rename with .diff,
        add DEP3 headers
      - Add 09-register-mumble-URL-handler.diff  Closes: #706053
  * debian/rules:
      - Remove g++-4.6 hardcoding
      - Add DEB_BUILD_HARDENING_BINDNOW=0, upstream's suggested fix
        for #691535.  Closes: #712156
      - Update 'clean' target, 'rm -rf Ice' to allow rebuilding
  * debian/mumble.install:
      - Update to ship libcelt0.so.0.7.0 only
  * Add debian/mumble-server.init script
  * Add debian/watch file to monitor
    http://mumble.info/snapshot/mumble-(*.)\.tar\.gz

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 19 Sep 2013 14:54:31 -0400

mumble (1.2.3-349-g315b5f5-2.2ubuntu3) trusty; urgency=low

  * debian/patches/35-speechd-0.8.patch:
    - Build against speech-dispatcher 0.8
  * debian/control: Adjust build-depends for speech-dispatcher to >= 0.8

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 11 Nov 2013 16:20:48 +1100

mumble (1.2.3-349-g315b5f5-2.2ubuntu2) trusty; urgency=low

  * Build against zeroc-ice 35.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 25 Oct 2013 12:07:13 +0100

mumble (1.2.3-349-g315b5f5-2.2ubuntu1) raring; urgency=low

  [ pataquets ]
  * Register mumble:// URL handler mimetype (LP: #934239)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 24 Apr 2013 12:45:45 +1000

mumble (1.2.3-349-g315b5f5-2.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's approval.
  * Fix "Plugins: Failed to load libmumble.so: Cannot load library
    /usr/lib/mumble/libmumble.so: (/usr/lib/mumble/libmumble.so:
    undefined symbol: glPopClientAttrib)":

    new patch 30-opengl: link libmumble against libGL to make mumble-overlay /
    pre-loading libmumble work.

    Thanks to Daniel Kahn Gillmor for the bug report, Ron Lee for the
    suggested fix, and Chris Knadle for testing the patch.

    (Closes: #691535)

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Nov 2012 21:21:43 +0100

mumble (1.2.3-349-g315b5f5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Cannot communicate with the vast majority of Mumble servers due
    to lack of required baseline codec":
    re-enable using the bundled celt library:
       debian/patches/series:
         - add 07-use-embedded-celt-baseline patch
       debian/patches/07-use-embedded-celt-baseline:
         - build Celt 0.7.1 and not 0.11.0
       debian/mumble.install:
         - ship Celt 0.7.1 library from the embedded source
       debian/rules:
         - re-enable Celt using the bundled 0.7.1 version
       debian/patches/20-add-opus-threshold-option:
         - fix src/murmur/Meta.cpp to set default iOpusThreshold=100 to only
           switch from Celt to Opus if 100% of connected clients support Opus
           (instead of 1%)
         - fix murmur.ini example for opusthreshold option to =100
           (instead of =1)
         - add #opusthreshold=100 comments to murmur.ini.system (shipped as
           etc/mumble-server.ini) to match murmur.ini example    
    Closes: #675971.
    This implements the TC decision in #682010.
    [Thanks to Gregor Herrmann for his help and guidance.]

 -- Christopher Knadle <chris.knadle@coredump.us>  Thu, 04 Oct 2012 11:45:05 -0400
