=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
 Uploaders: Thorvald Natvig <thorvald@debian.org>
-Build-Depends: debhelper (>= 7.0.8), g++-4.6,
+Build-Depends: debhelper (>= 7.0.8),
  po-debconf,
  libboost-dev (>= 1.42),
  libboost-python-dev (>= 1.42),
  libqt4-dev (>= 4.5.0),
- libqt4-opengl-dev (>= 4.5.0),
  hardening-wrapper,
  libgl1-mesa-dev,
  libasound2-dev,
@@ -17,20 +16,20 @@
  libogg-dev,
  libspeex-dev,
  libspeexdsp-dev,
- libcelt-dev (>= 0.7.0),
+ libopus-dev,
  libsndfile1-dev,
  libssl-dev,
- libzeroc-ice34-dev (>= 3.4.2-8.1),
- ice34-translators (>= 3.4.2-8.1),
- ice34-slice (>= 3.4.2-8.1),
+ libzeroc-ice35-dev,
+ ice35-translators,
+ ice35-slice,
  libg15daemon-client-dev,
- libspeechd-dev,
+ libspeechd-dev (>= 0.8),
  protobuf-compiler,
  libprotobuf-dev,
  libavahi-compat-libdnssd-dev,
  libxi-dev,
  libcap-dev [linux-any]
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.4
 Homepage: http://mumble.sourceforge.net/
 Vcs-Git: git://git.debian.org/users/ron/mumble.git
 Vcs-Browser: http://git.debian.org/?p=users/ron/mumble.git;a=summary
@@ -39,7 +38,6 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- libcelt0 (>= 0.7.0) | libcelt0-0 (>= 0.7.1~),
  libqt4-sql-sqlite,
  lsb-release
 Recommends: speech-dispatcher
