=== debian/watch ===
version=3
http://mumble.info/snapshot/mumble-(.*)\.tar\.gz
