## mumble 1.2.8~7~g76f6870

=== debian/changelog ===
mumble (1.2.8~7~g76f6870-2) unstable; urgency=medium

  * debian/patches:
      - Add 23-fix-pulseaudio-segfault-pt1.diff
            24-fix-pulseaudio-segfault-pt2.diff
        Fixes an uncommon segfault issue with PulseAudio

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Wed, 23 Jul 2014 22:01:19 -0400

mumble (1.2.8~7~g76f6870-1) unstable; urgency=medium

  * New upstream snapshot from 2014-07-04
  * The mumble 1.2.8 source incorporates changes needed to compile with Clang.
    Thanks to Alexander <sanek23994@gmail.com> for reporting the bug.
    Closes: #753273
  * debian/source/lintian-overrides:
      - Add override for new lintian error concerning hardening-wrapper being
        obsolete, isn't so based on #711193 despite lintian reporting such.
        Attempts to convert  debian/rules to 'dh' and using dpkg build flags
        did not work as  expected (both failed at least two of the
        hardening-check checks), so continuing build-depending on
        hardening-wrapper for now as it seems a better solution in this case.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sun, 13 Jul 2014 07:24:18 -0400

mumble (1.2.6-1) unstable; urgency=high

  * New upstream snapshot from 2014-05-15
  * This version contains two new security fixes.  Closes: #748189
      - Mumble-SA-2014-005   CVE-2014-3755
           http://mumble.info/security/Mumble-SA-2014-005.txt
        SVG images with local file references could trigger client DoS
      - Mumble-SA-2014-006   CVE-2014-3756
           http://mumble.info/security/Mumble-SA-2014-006.txt
        The Mumble client did not properly HTML-escape some external strings
        before using them in a rich-text (HTML) context.
      - Thanks to Mikkel Krautz <mikkel@krautz.dk> for reporting the bug,
        thanks to Salvatore Bonaccorso <carnil@debian.org> for reporting
        the bug in Debian.
  * debian/rules:
      - Update to remove libmumble.so.1.2.6 via rm of libmumble.so.1.*
  * debian/patches
      - Add 17-change-pulseaudio-role.diff
        Change role from "phone" to "game" to stop PulseAudio muting
        applications in the "music" and "video" roles
        (reported in #mumble in IRC on irc.freenode.net)
      - Add 19-move-xlib-initializtion-earlier.diff
        Move Xlib initialization earlier to fix crashing when setting a
        push-to-talk key.  Closes: #744733
        Thanks to RedOmen <redomen@nwi.net> for reporting the bug, and
        Bas Wijnen <wijnen@debian.org> for finding a fix and creating a patch.
      - Add 21-fix-compile-with-gcc-4.9.diff
        Fixes FTBFS with gcc-4.9.  Closes: 746882
        Thanks to Matthias Klose <doko@debian.org> for reporting the bug
        and to Dimitri John Ledkov <dimitri.ledkov@canonical.com> for
        submitting the patch from Christian Krause <chkr@plauener.de>

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 15 May 2014 19:20:55 -0400

mumble (1.2.5-245-g221a5d7-1) unstable; urgency=medium

  * New upstream snapshot from 2014-02-18
  * Adopt the package.  Closes: #739997
  * speech-dispatcher header file move incorporated upstream.  Closes: #740605
    Test is done in mumble.pro for local speech-dispatcher version, so
    specifying version >= 0.8 in debian/control is not necessary.
    Thanks to Paul Gevers for the bug report and patch.
  * debian/upstream/signing-key.asc
      - Add upstream signing key 4096R/0xADD011045FEF3A9A
        Mumble Automatic Build Infrastructure 2014
           <mumble-auto-build-2014@mumbleapp.com>
        [expires: 2015-01-01]
  * debian/watch:
      - Add pgpsigurlmangle option to have uscan check tarball signature
  * debian/rules:
      - Remove debug file libmumble.so.1.2.5 which has no debug symbols
  * debian/control:
      - Standards-Version updated to 3.9.5 (no changes needed)
      - Move speech-dispatcher from Recommends to Suggests.  Closes: #676880
        Thanks to Eugene Lyubimkin for the bug report.
      - Remove Suggests on deprecated mumble-server-web package
      - Lower mumble-server dependency on dbus to Suggests.  Closes: #731003
        Thanks to Klaus Ethgen for the bug report.
      - mumble-server: update description to remove deprecated D-Bus
        and mumble-server-web sections.
      - Add "encrypted" to package descriptions
      - Remove references to Ron Lee's Vcs, as all versions contained are
        obsolte and now also contain CVE-2014-0044, CVE-2014-0045.
  * debian/patches:
      - Remove deprecated (upstream incorporated) patches:
          06-connect-dialog-hang-dee463ef.diff
          09-register-mumble-URL-handler.diff
          12-Mumble-SA-2014-001.patch
          14-Mumble-SA-2014-002.patch
      - Add 06-lsb-lower-dbus-dependency.diff
        Modify mumble-server.init to allow installing mumble-server
        without dbus (Part of #731003)
      - Add 12-mumble-server-disable-dbus.diff
        Modify mumble-server.ini to disable dbus and ice by default
        (Part of #731003)
  * debian/mumble-server.README.Debian:
      - Udpate to explain init script console output (and lack thereof)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Sat, 15 Mar 2014 20:14:55 -0400
